Extending Qt Creator Manual | BuildTargetInfo

Extending Qt Creator Manual 4.5.2

# BuildTargetInfo Class

(ProjectExplorer::BuildTargetInfo)

- List of all members, including inherited members

## Public Functions

| BuildTargetInfo() = default
| BuildTargetInfo(const QString &targetName, const Utils::FileName &targetFilePath, const Utils::FileName &projectFilePath)
bool | isValid() const

## Member Function Documentation

### `[default]` BuildTargetInfo::BuildTargetInfo()

Default constructs an instance of BuildTargetInfo.

### BuildTargetInfo::BuildTargetInfo(const QString &targetName, const Utils::FileName &targetFilePath, const Utils::FileName &projectFilePath)

Default constructs an instance of BuildTargetInfo.

### bool BuildTargetInfo::isValid() const